import { IJQuery, IInfiniteGridItem, IDOMRendererStatus, IDOMRendererSize, IDOMRendererOptions, IDOMRendererOrgStyle } from "./types";
export default class DOMRenderer {
    static removeItems(items: IInfiniteGridItem[]): void;
    static removeElement(element: HTMLElement): void;
    static createElements(items: IInfiniteGridItem[]): void;
    container: HTMLElement;
    view: Window | HTMLElement;
    options: IDOMRendererOptions;
    _size: IDOMRendererSize;
    _orgStyle: IDOMRendererOrgStyle;
    private _isSizePercentage;
    private _isPosPercentage;
    constructor(element: string | HTMLElement | IJQuery, options: IDOMRendererOptions);
    getStatus(): {
        cssText: string;
        _size: IDOMRendererSize;
    };
    setStatus(status: IDOMRendererStatus): void;
    updateSize(items: IInfiniteGridItem[]): IInfiniteGridItem[];
    createAndInsert(items: IInfiniteGridItem[], isAppend?: boolean): void;
    renderItems(items: IInfiniteGridItem[], transitionDuration?: number): void;
    renderItem(item: IInfiniteGridItem, rect: IInfiniteGridItem["rect"], transitionDuration?: number): void;
    getViewSize(): number;
    getViewportSize(): number;
    getContainerSize(): number;
    setContainerSize(size: number): void;
    resize(): boolean | undefined;
    isNeededResize(): boolean;
    clear(): void;
    destroy(): void;
    private _init;
    private _insert;
    private _calcSize;
    private _render;
}
